//
//  GSBasePen.h
//  GlyphsCore
//
//  Created by Georg Seifert on 16.11.11.
//  Copyright 2011 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "GSPenProtocol.h"

@class GSFont;

void quadratic2Qubic(NSPoint pt0, NSPoint pt1, NSPoint pt2, NSPoint *cubic);

@interface GSBasePen : NSObject <GSPenProtocol> {
	GSFont *_glyphSet;
	NSPoint _lastPoint;
}
@property (nonatomic, assign) NSPoint lastPoint;

- (instancetype)initWithGlyphSet:(id)GlyphSet;
@end
